Loading...
Searching...
No Matches
volk_16u_byteswappuppet_16u.h File Reference
`#include <stdint.h>`
`#include <string.h>`
`#include <volk/volk_16u_byteswap.h>`

Go to the source code of this file.

## Functions

static void | volk_16u_byteswappuppet_16u_generic (uint16_t *output, uint16_t *intsToSwap, unsigned int num_points)
static void | volk_16u_byteswappuppet_16u_neon (uint16_t *output, uint16_t *intsToSwap, unsigned int num_points)
static void | volk_16u_byteswappuppet_16u_neon_table (uint16_t *output, uint16_t *intsToSwap, unsigned int num_points)
static void | volk_16u_byteswappuppet_16u_u_sse2 (uint16_t *output, uint16_t *intsToSwap, unsigned int num_points)
static void | volk_16u_byteswappuppet_16u_a_sse2 (uint16_t *output, uint16_t *intsToSwap, unsigned int num_points)

## Function Documentation

## volk_16u_byteswappuppet_16u_a_sse2()

void volk_16u_byteswappuppet_16u_a_sse2 | ( | uint16_t * | output,
|  | uint16_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_16u_byteswappuppet_16u_generic()

void volk_16u_byteswappuppet_16u_generic | ( | uint16_t * | output,
|  | uint16_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_16u_byteswappuppet_16u_neon()

void volk_16u_byteswappuppet_16u_neon | ( | uint16_t * | output,
|  | uint16_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_16u_byteswappuppet_16u_neon_table()

void volk_16u_byteswappuppet_16u_neon_table | ( | uint16_t * | output,
|  | uint16_t * | intsToSwap,
|  | unsigned int | num_points )

inline static

## volk_16u_byteswappuppet_16u_u_sse2()

void volk_16u_byteswappuppet_16u_u_sse2 | ( | uint16_t * | output,
|  | uint16_t * | intsToSwap,
|  | unsigned int | num_points )

inline static